<?php namespace EwCacheInvalidator;

/**
 * Class LedgeInvalidator
 * @package EwCacheInvalidator
 */
class LedgeInvalidator {

    /**
     * Invalidate given url via lua invalidation endpoint.
     *
     * @param $url
     */
    public static function invalidateUrl($url) {

        $response = wp_remote_post(get_site_url() . '/ledge-invalidate/', [
            'sslverify' => false,
            'headers' => [
                'User-Agent' => 'ew-ledge-invalidation',
            ],
            'body' => [
                'url' => $url
            ]
        ]);

        if(!is_wp_error($response) && $response['response']['code'] === 200) {
            wp_send_json([
                'status' => 'Success'
            ]);
        }
        else if($response['response']['code'] === 404) {
            wp_send_json([
                'status' => 'Found nothing to invalidate'
            ]);
        }
        else {
            wp_send_json([
                'status' => 'Error'
            ]);
        }
    }
}